-- phpMyAdmin SQL Dump
-- version 4.7.9
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Aug 25, 2018 at 03:11 PM
-- Server version: 5.7.21
-- PHP Version: 7.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `letovanjesept2018`
--
DROP DATABASE IF EXISTS `letovanjesept2018`;
CREATE DATABASE IF NOT EXISTS `letovanjesept2018` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE `letovanjesept2018`;

-- --------------------------------------------------------

--
-- Table structure for table `agencija`
--

DROP TABLE IF EXISTS `agencija`;
CREATE TABLE IF NOT EXISTS `agencija` (
  `naziv_agencije` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `adresa` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `grad` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `websajt` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`naziv_agencije`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `aranzman`
--

DROP TABLE IF EXISTS `aranzman`;
CREATE TABLE IF NOT EXISTS `aranzman` (
  `idAranzmana` int(11) NOT NULL AUTO_INCREMENT,
  `mesto_lokacije` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `hotel` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `datum_pocetak` date NOT NULL,
  `datum_kraj` date NOT NULL,
  `broj_nocenja` int(11) NOT NULL,
  `tip_sobe` int(11) NOT NULL,
  `cena` double NOT NULL,
  `brojkomada` int(11) NOT NULL,
  PRIMARY KEY (`idAranzmana`),
  KEY `mesto_lokacije` (`mesto_lokacije`),
  KEY `tip_sobe` (`tip_sobe`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `drzava`
--

DROP TABLE IF EXISTS `drzava`;
CREATE TABLE IF NOT EXISTS `drzava` (
  `ime_drzave` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`ime_drzave`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `korisnik`
--

DROP TABLE IF EXISTS `korisnik`;
CREATE TABLE IF NOT EXISTS `korisnik` (
  `username` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `lozinka` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `ime` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `prezime` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `mesto`
--

DROP TABLE IF EXISTS `mesto`;
CREATE TABLE IF NOT EXISTS `mesto` (
  `naziv_mesta` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `naziv_drzave` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `ptt_broj` int(6) NOT NULL,
  PRIMARY KEY (`naziv_mesta`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `putnik`
--

DROP TABLE IF EXISTS `putnik`;
CREATE TABLE IF NOT EXISTS `putnik` (
  `username` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `broj_clanova_porodice` int(11) NOT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tipsobe`
--

DROP TABLE IF EXISTS `tipsobe`;
CREATE TABLE IF NOT EXISTS `tipsobe` (
  `idTip` int(11) NOT NULL,
  `naziv` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `kratakOpis` varchar(240) COLLATE utf8_unicode_ci NOT NULL,
  `brojOsoba` int(11) NOT NULL,
  PRIMARY KEY (`idTip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `aranzman`
--
ALTER TABLE `aranzman`
  ADD CONSTRAINT `aranzman_ibfk_1` FOREIGN KEY (`mesto_lokacije`) REFERENCES `mesto` (`naziv_mesta`),
  ADD CONSTRAINT `aranzman_ibfk_2` FOREIGN KEY (`tip_sobe`) REFERENCES `tipsobe` (`idTip`);

--
-- Constraints for table `putnik`
--
ALTER TABLE `putnik`
  ADD CONSTRAINT `putnik_ibfk_1` FOREIGN KEY (`username`) REFERENCES `korisnik` (`username`) ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
